> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/glossary/optimization-studies.md).

# Optimization Study

An **optimization study** (or **study** for short) represents an optimization initiative aimed at optimizing a goal on a target system. A study instructs Akamas about the space to explore and the KPIs used to evaluate whether a configuration is good or bad

Akamas supports two types of optimizations:

* [**Offline Optimization Studies**](/akamas-docs/using/study/offline-optimization-study.md) are optimization studies where the workload is simulated by leveraging a load-testing tool.
* [**Live Optimization Studies**](/akamas-docs/using/study/live-optimization-studies.md) are applied to systems that need to be optimized in production with respect to varying workloads observed while running live. For example, a microservices application can be optimized live by having Kubernetes and JVM parameters dynamically tuned for multiple microservices so as to minimize costs while matching response time objectives.

## Construct

A study is described by the following properties

* **system**: the [system](/akamas-docs/reference/glossary/system.md) under optimization
* **parameters**: the set of [parameters](/akamas-docs/reference/glossary/parameter.md) being optimized
* **metrics**: the set of [metrics](/akamas-docs/reference/glossary/metric.md) to be collected
* **workflow**: the [workflow](/akamas-docs/reference/glossary/workflows.md) describing tasks to perform experiments/trials
* **goal**: the desired optimization [goal](/akamas-docs/reference/glossary/goals-and-constraints.md) to be achieved
* **constraints**: the optimization [constraints](/akamas-docs/reference/glossary/goals-and-constraints.md) that any configuration needs to satisfy
* **steps**: the steps that are executed to run specific configurations (e.g. the baseline) and run the optimization

The construct to be used to define an optimization is described on the [Study template](/akamas-docs/reference/construct-templates/study-template.md) page.

## Commands

An optimization study is an [Akamas resource](/akamas-docs/reference/cli-reference.md#clireference-operations) that can be managed via CLI using the [resource management commands.](/akamas-docs/reference/cli-reference/resource-management.md)

## User Interface

The Akamas UI shows optimization studies in 2 specific top-level menus: one for offline optimization studies and another for live optimization studies.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akamas.io/akamas-docs/reference/glossary/optimization-studies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
